from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, File

Anvi_Script_Get_Hmm_Hits_Per_Gene_Call_V0_1_0 = CommandToolBuilder(tool="anvi_script_get_hmm_hits_per_gene_call", base_command=["anvi-script-get-hmm-hits-per-gene-call"], inputs=[ToolInput(tag="in_contigs_db", input_type=String(optional=True), prefix="--contigs-db", doc=InputDocumentation(doc="Anvi'o contigs database generated by 'anvi-gen-\ncontigs'")), ToolInput(tag="in_hmm_source", input_type=String(optional=True), prefix="--hmm-source", doc=InputDocumentation(doc="NAME\nUse a specific HMM source. You can use '--list-hmm-\nsources' flag to see a list of available resources.\nThe default is 'None'.")), ToolInput(tag="in_output_file", input_type=File(optional=True), prefix="--output-file", doc=InputDocumentation(doc="File path to store results.\n")), ToolInput(tag="in_file_path", input_type=String(), position=0, doc=InputDocumentation(doc="A simple script to generate a TAB-delimited file gene caller IDs and their HMM"))], outputs=[ToolOutput(tag="out_output_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_file", type_hint=File()), doc=OutputDocumentation(doc="File path to store results.\n"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Anvi_Script_Get_Hmm_Hits_Per_Gene_Call_V0_1_0().translate("wdl", allow_empty_container=True)

